!set title=Distancia y baricentro
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=fr
author=René Chaffard
email=chafrene@club-internet.fr
computeanswer=no
precision=1000
leftrange=-5.000000
rightrange=5.000000

ansorder=r,r,r,r
varcnt=23
prevarcnt=22
postvarcnt=0
replycnt=4
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randitem a,b,c

val6=$(tmp0)
tmp0=!shuffle A,B,C

val7=$(tmp0)
val8=$(val7[1])
val9=$(val7[2])
val10=$(val7[3])
tmp0=!randint 2, 5

val11=$[rint($(tmp0))]
tmp0=!randint 2, 5

val12=$[rint($(tmp0))]
val13=$[rint(abs($val11-$val12)+1)]
val14=$[rint($val11+$val12-1)]
tmp0=!randint $val13, $val14

val15=$[rint($(tmp0))]
tmp=!translate ";': to $     $ in (($val11)^2+($val12)^2-($val15)^2)/2

tmp=!lower $tmp
tmp0=!exec maxima fullratsimp($tmp);
val16=$(tmp0)
tmp0=!randint 1, 4

tmp1=!randitem -1,1

val17=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 1, 4

tmp1=!randitem -1,1

val18=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 1, 4

tmp1=!randitem -1,1

val19=$[rint($(tmp0)*$(tmp1))]
val20=$[rint($val17+$val18+$val19)]
!if $val20=0 
val19=$[rint(2*$val19)]
!endif
val20=$[rint($val17+$val18+$val19)]
tmp=!translate ";': to $     $ in $val17/$val20

tmp=!lower $tmp
tmp0=!exec maxima fullratsimp($tmp);
val21=$(tmp0)
tmp=!translate ";': to $     $ in $val18/$val20

tmp=!lower $tmp
tmp0=!exec maxima fullratsimp($tmp);
val22=$(tmp0)
tmp=!translate ";': to $     $ in sqrt(($val21*$val11)^2+($val22*$val12)^2+2*$val21*$val22*$val16)

tmp=!lower $tmp
tmp0=!exec maxima fullratsimp($tmp);
val23=$(tmp0)
val24=$val8 G
tmp0=!shuffle \($val8$val9 = $val11 ) , \($val9$val10 = $val15) ,  \($val10$val8 = $val12)

val25=$(tmp0)
oefsteps=reply 1,reply 2	reply 3	reply 4 
nextstep=!nosubst reply 1,reply 2	reply 3	reply 4 
!readproc oef/steps.proc
replyname1=\(k_1)
replygood1=$val21
replyname2=\(k_2)
replygood2=$val22
replyname3=Producto escalar
replygood3=$val16
replytype4=formal
replyname4=Distancia \($val24)
replygood4=$val23
question=__EXECUTED_1692754_EXERCISE__
help=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()	Se considera el triángulo 
!insmath ABC
$() tal que :<br/>	<p style="text-align:center">$(val25[1]),  $(val25[2]), $(val25[3]). 	</p>	Sea 
!insmath G
$() el baricentro de (
!insmath $val8
$() , $val19), (
!insmath $val9
$() , $val17), (
!insmath $val10
$() , $val18).	Se pide calcular la distancia 
!insmath $val24
$().	<br/>	<hr/>	 
!if $m_step=1 
$()Determinar en primer lugar 
!insmath k_1
$() et 
!insmath k_2
$() tales que :	  <p style="text-align:center">
!insmath  \overrightarrow{$val8 G} = k_{1} 	  \overrightarrow{$val8 B} + k_{2} \overrightarrow{$val8 C} 
$()</p>	  
!endif
$()	 
!if $m_step=2 
$()Calcular el producto escalar :	<p style="text-align:center">
!insmath  \overrightarrow{$val8$val9} \cdot \overrightarrow{$val8$val10} 
$()</p>	  
!endif
$()	 
!if $m_step=3 
$()Sabiendo que 
!insmath k_1 = $val21
$() et 
!insmath k_2 = $val22
$()  y que el producto escalar 	 
!insmath  \overrightarrow{$val8$val9} \cdot \overrightarrow{$val8$val10} 
$() es igual a $val16, 	 no hay más que una respuesta.	<p>	<i>En caso de necesidad, se podrá utilizar la función  sqrt (raíz cuadrada). Ej : sqrt(2) = 
!insmath  \sqrt{2} 
$()</i>	</p>	 
!endif
$()	
$()
!exit

:hint
$()
$()
!exit

:help
$()	Si 
!insmath G
$() es el baricentro de 
!insmath (A , a)
$(), 
!insmath (B , b)
$() et 
!insmath (C , c)
$() entonces, para todo punto 
!insmath O
$() :	<p style="text-align:center">
!insmath  \overrightarrow{OG}=\frac{1}{a+b+c}(a\overrightarrow{OA}+b\overrightarrow{OB}+c\overrightarrow{OC}) 
$()</p>		Será necesario elegir unn punto 
!insmath O
$() en función de la cuestión propuesta.	
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=8,9,10,16,17,18,19,21,22,24,25
embedcnt=0
